Re-submit a failed analysis
curl --request POST \
--url https://api.pineyard.ai/speech/calls/{id}/retry \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/speech/calls/{id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/calls/{id}/retry"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"status": "UPLOADING",
"fileName": "<string>",
"fileSizeBytes": 123,
"durationSeconds": 123,
"score": 123,
"outcomeLabel": "<string>",
"summary": "<string>",
"errorMessage": "<string>",
"callDate": "<string>",
"createdAt": "<string>",
"completedAt": "<string>",
"rep": {
"id": "<string>",
"name": "<string>"
},
"scorecard": {
"id": "<string>",
"name": "<string>"
}
}Recordings
Re-submit a failed analysis
POST
/
speech
/
calls
/
{id}
/
retry
Re-submit a failed analysis
curl --request POST \
--url https://api.pineyard.ai/speech/calls/{id}/retry \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/speech/calls/{id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/calls/{id}/retry"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"status": "UPLOADING",
"fileName": "<string>",
"fileSizeBytes": 123,
"durationSeconds": 123,
"score": 123,
"outcomeLabel": "<string>",
"summary": "<string>",
"errorMessage": "<string>",
"callDate": "<string>",
"createdAt": "<string>",
"completedAt": "<string>",
"rep": {
"id": "<string>",
"name": "<string>"
},
"scorecard": {
"id": "<string>",
"name": "<string>"
}
}Required scope:
speech.upload
Requires speech analysis enabled for your workspace. Otherwise the request is refused; see Errors.
Authorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Path Parameters
Response
Accepted
Available options:
UPLOADING, PROCESSING, COMPLETED, FAILED, INGEST_FAILED Show child attributes
Show child attributes
Show child attributes
Show child attributes

